
Foreman - Bug #36441

Invalid netplan config with shortened IPv6-addresses

05/25/2023 01:48 PM - Vitaly Pyslar

Status: Closed   

Priority: Normal   

Assignee:    

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases: 3.8.0

Triaged: Yes Found in Releases: 3.5.3

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9718

  

Description

Foreman shortens IPv6 addresses when you set up a network. If it shorten at the end then an address is ended with double colon.

This leads to invalid netplan config.

 

Associated revisions

Revision 9f2c9a01 - 05/29/2023 11:00 AM - Vitaly Pyslar 

Fixes #36441 - quote ipv6 addresses

History

#1 - 05/25/2023 02:14 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9718 added

#2 - 05/29/2023 11:00 AM - The Foreman Bot

- Fixed in Releases 3.8.0 added

#3 - 05/29/2023 11:00 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|9f2c9a016b8d852c346a3f16418419b2e4a11fe3.

#4 - 09/11/2023 10:53 AM - Ewoud Kohl van Wijngaarden

- Category set to Unattended installations

- Triaged changed from No to Yes
